function dialog1
clc; clear all;
global in out in_new out_new Lx Ly hx hy invLx invLy n m s 
[filename,pathname]=uigetfile('*.x*','Load xls File');
if filename~=0
    [dataset, headertext] = xlsread(filename, 'data');
else return;
end;

if exist(fullfile(pathname,'workspace.mat'),'file')
    delete(fullfile(pathname,'workspace.mat'));
end;
[n,total]=size(dataset);

gui_pca_dea

if exist(fullfile(pathname,'workspace.mat'),'file')
    load(fullfile(pathname,'workspace.mat'));

    model=answer.model.model;
    RTS=answer.RTS.RTS;
    orient=answer.orient.orient;
    m_total=answer.m_total;
    s_total=answer.s_total;
    index=answer.index;
  
   if isfield(answer,'m_pc') &&isfield(answer,'s_pc') 
       m_pc=answer.m_pc;
       s_pc=answer.s_pc;
   else m_pc=[];s_pc=[]; 
       msgbox('Abort if PCA is applied on an empty set');
   end;
  
   if m_pc==0|s_pc==0
        errordlg('Abort if PCA is applied on an empty set') ;return;end;
   if m_pc+s_pc>total|m_total+s_total>total
        errordlg('Matrix dimensions are incorrect');return;end;
    if isequal(model,'radial')&&isequal(orient,'NON')
        errordlg('A radial estimation procedure should be oriented') ; return;end;
        if m_pc>m_total |s_pc>s_total;
        errordlg('PCA should be applied on a subset of variables');return;end;
    if any(any(isnan(dataset)));
        errordlg('Rows containing missing values were removed');return;end;

    varname=headertext(1,2:m_total+s_total+1);
    DMU=headertext(2:n+1,1);
    DMU(any(isnan(dataset),2),:) = [];
    dataset(any(isnan(dataset),2),:) = [];%Remove any rows containing missing values from a data
    [n,total]=size(dataset);

    [in,out,in_new,out_new,Lx,Ly,hx,hy,invLx,invLy,n,m,s,p_e_x,p_e_y]=PCA(dataset, m_total,s_total,m_pc,s_pc,index);
    [x,fval]=primal(n,m,s,m_pc,s_pc,in,out,in_new,out_new,hx,hy,invLx,invLy,model,RTS,orient);
    [w_orig,fvald]=dual(n,m,s,m_pc,s_pc,in,out,in_new,out_new,hx,hy,Lx,Ly,model,RTS,orient);

    score=(abs(fval))'; %returns the value of the objective function at the solution
    
    if n>150;  xr=round([score,w_orig(n+1:n+m_total+s_total,:)',x(n+1:n+m_total+s_total,:)'].*100000000)/100000000;
    else xr=round([score,w_orig(n+1:n+m_total+s_total,:)',x(n+1:n+m_total+s_total,:)',x(1:n,:)'].*100000000)/100000000;end;
    lam=cell(n,1);
    benchm=cell(n,1);
    slacks=cell(total,1);
    weights=cell(total,1);
    for i=1:n,
        lamda=['l_',char(DMU(i))];
        xn=[(1:n)',x(1:n,i)];
        ii=sortrows(xn,-2);%sort obs number by lamda
        bm=DMU(ii(ii(:,2)>0.001,1));%returns names of banchmarks
        a=size(bm,1);
        if a>=5; temp=cell2mat([bm(1,1),'-',num2str(ii(1,2)),',',bm(2,1),'-',num2str(ii(2,2)),',',bm(3,1),'-',num2str(ii(3,2)),',',bm(4,1),'-',num2str(ii(4,2)),',',bm(5,1),'-',num2str(ii(5,2))]);end;
        if a==4; temp=cell2mat([bm(1,1),'-',num2str(ii(1,2)),',',bm(2,1),'-',num2str(ii(2,2)),',',bm(3,1),'-',num2str(ii(3,2)),',',bm(4,1),'-',num2str(ii(4,2))]);end;
        if a==3; temp=cell2mat([bm(1,1),'-',num2str(ii(1,2)),',',bm(2,1),'-',num2str(ii(2,2)),',',bm(3,1),'-',num2str(ii(3,2))]);end;
        if a==2; temp=cell2mat([bm(1,1),'-',num2str(ii(1,2)),',',bm(2,1),'-',num2str(ii(2,2))]);end;
        if a==1; temp=cell2mat([bm(1,1),'-',num2str(ii(1,2))]);end;
        if n>150; lam=[]; else lam(i,:)={lamda} ;end;
     benchm(i,:)={temp};
    end;

  
    for i=1:m_total+s_total,
        slackname=['S_',char(varname(i))];
        weightname=['W_',char(varname(i))];
        slacks(i,:)={slackname};
     weights(i,:)={weightname};
    end;
    
    result=[model,'_',orient,'_',RTS,'_',num2str(index),'_',num2str(hx),'_',num2str(hy)];
    warning off all
    header1{1,1}='Variance explained (%)';
    header1{2,1}='Inputs';
    header1{2,2}='Outputs';
      xlswrite(filename, header1, 'PCA', 'a1');

    xlswrite(filename, p_e_x, 'PCA', 'a3');
    xlswrite(filename, p_e_y, 'PCA', 'b3');
    header2=['DMU','Benchmarks','Score',weights',slacks',lam'];
     xlswrite(filename, header2, result, 'a1');
    xlswrite(filename, DMU, result, 'a2');
    xlswrite(filename, benchm, result, 'b2');
      xlswrite(filename, xr, result, 'c2');

    msgbox('Optimization terminated successfully');
end;
