function [x,fval]=primal(n,m,s,m_pc,s_pc,in,out,in_new,out_new,hx,hy,invLx,invLy,model,RTS,orient)

if isequal(RTS,'VRS');
    Al=[ones(1,n),zeros(1,m_pc+m+s_pc+s+1)];bl=1;   
end;
if isequal(RTS,'CRS'); 
    Al=[];bl=[];
end;

for k=1:n,
    % solve a linear programming problem
    %           min f'x
    %           s.t. A*x<=b
    %                   Aeq*x=beq
    %                   lb<=x<=ub
    %optnew = optimset('MaxIter', 100*n, 'TolX',1e-8,'LargeScale', 'on', 'Simplex', 'off');

    lb=zeros(n+m_pc+m+s_pc+s,1);
     A=[];b=[];ub=[];                                                             %no inequalities exist

    %(lamda,slack_x_pc,slack_x,slack_y_pc,slack_y,theta)
    
    if strcmp(orient,'IN')&&strcmp(model,'radial')
        f=[zeros(1,n+m_pc+m+s_pc+s),1]';
        Aeq1=[out_new',zeros(hy,m_pc+m),-invLy(1:hy,:),zeros(hy,s+1);
                    in_new',invLx(1:hx,:),zeros(hx,m+s_pc+s),-in_new(k,:)'];
        beq1=[out_new(k,:)';zeros(hx,1)];
        if isempty(out); Aeq2=[] ;beq2=[];
        else Aeq2=[out',zeros(s,m_pc+m),zeros(s,s_pc), -eye(s),zeros(s,1)]; beq2=out(k,:)';end;
        if isempty(in) ;Aeq3=[] ;beq3=[];
        else Aeq3=[in',zeros(m,m_pc),eye(m),zeros(m,s_pc+s),-in(k,:)'];beq3=zeros(m,1);end;
    end;
    if strcmp(orient,'OUT')&&strcmp(model,'radial')
        f=[zeros(1,n+m_pc+m+s_pc+s),-1]';
        Aeq1=[out_new',zeros(hy,m_pc+m),-invLy(1:hy,:),zeros(hy,s),-out_new(k,:)';
                    in_new',invLx(1:hx,:),zeros(hx,m),zeros(hx,s_pc+s+1)];
        beq1=[zeros(hy,1);in_new(k,:)'];
        if isempty(out) ;Aeq2=[] ;beq2=[];
        else Aeq2=[out',zeros(s,m_pc+m),zeros(s,s_pc),-eye(s),-out(k,:)'];beq2=zeros(s,1);end;
        if isempty(in) ;  Aeq3=[] ;beq3=[];
        else Aeq3=[in',zeros(m,m_pc),eye(m),zeros(m,s_pc+s+1)];beq3=in(k,:)';end;
    end;
    if strcmp(model,'additive')
        if strcmp(orient,'NON'); f=[zeros(1,n),-ones(1,m_pc+m+s_pc+s),0]';end;
        if strcmp(orient,'OUT'); f=[zeros(1,n),zeros(1,m_pc+m),-ones(1,s_pc+s),0]';end;
        if strcmp(orient,'IN');   f=[zeros(1,n),-ones(1,m_pc+m),zeros(1,s_pc+s+1)]';end;
        Aeq1=[out_new',zeros(hy,m_pc+m),-invLy(1:hy,:),zeros(hy,s+1);
                      in_new',invLx(1:hx,:),zeros(hx,m+s_pc+s+1)];
        beq1=[out_new(k,:)';in_new(k,:)'];
        if isempty(out); Aeq2=[] ;beq2=[];else
            Aeq2=[out',zeros(s,m_pc+m),zeros(s,s_pc),-eye(s),zeros(s,1)]; beq2=out(k,:)';end;
        if isempty(in);   Aeq3=[] ;beq3=[];else
            Aeq3=[in',zeros(m,m_pc),eye(m),zeros(m,s_pc+s+1)]; beq3=in(k,:)';end;
    end;
    Aeq=[Aeq1;Aeq2;Aeq3;Al];
    beq=[beq1;beq2;beq3;bl];
    [x(:,k),fval(:,k),exitflag,lambda,output]=linprog(f,A,b,Aeq,beq,lb,ub,[]);
    if exitflag~=1, 
             optnew = optimset('MaxIter',50*n, 'TolX',1e-8,'LargeScale', 'off', 'Simplex', 'on');
         [x(:,k),fval(:,k),exitflag,lambda,output]=linprog(f,A,b,Aeq,beq,lb,ub,[],optnew);
    else  optnew = optimset('MaxIter', 50*n, 'TolX',1e-8,'LargeScale', 'on', 'Simplex', 'off');
    end;
end;




